﻿@model HOD.Models.PrivateMessageModel
@{
    ViewBag.Title = "Message Detail";
    Layout = "~/Views/Shared/_SecuredPagesLayout.cshtml";
}

<div class="panel panel-default" style="padding: 4px;">
    <div class="panel-heading">
        <h3 class="panel-title">Message</h3>
    </div>

    <div class="panel-body" style="background-color: #ffffff">

        <div style="overflow: hidden;">
            <blockquote class="pull-left">
                <p>Subject:  @Model.Subject</p>
            </blockquote>
        </div>
        <div style="overflow: hidden;">
            <blockquote class="pull-left">
                <p>
                    "@Model.Body"
                </p>
                <p class="pull-left">
                    <small>Sent by: @Model.FromUser on @Model.MessageDate</small>
                </p>
            </blockquote>
        </div>

@*        @using (Html.BeginForm("Reply", "UserMessages", Model, FormMethod.Post, new { @class = "form-horizontal", @role = "form", enctype = "multipart/form-data" }))
        {
            @Html.AntiForgeryToken()
            @Html.ValidationSummary(false)
            <div class="form-group">
                <fieldset class="">
                    <!--legend>Create Virtual Listing</!--legend-->

                    <div class="panel panel-default">
                        <div class="panel-heading" align="left">Reply</div>
                        <div class="panel-body">
                            <div class="form-group">
                                @Html.LabelFor(m => m.ReplySubject, "Subject ", new { @class = "col-sm-2 control-label" })
                                <div class="col-sm-4">
                                    @Html.TextBoxFor(m => m.ReplySubject, new { @class = "form-control", @placeholder = "Subject", id = "subject" })
                                </div>
                                <div class="col-sm-4">
                                    @Html.ValidationMessageFor(m => m.ReplySubject)
                                </div>
                            </div>
                             <div class="form-group">
                                @Html.LabelFor(m => m.ReplyBody, "Message ", new { @class = "col-sm-6 control-label" })
                                <div class="col-sm-4">
                                   @Html.TextAreaFor(m => m.ReplyBody, new { @class = "form-control", @placeholder = "Message", id = "message", @rows = "3", @maxlength = "200" })
                                </div>
                                 <div class="col-sm-4">
                                    @Html.ValidationMessageFor(m => m.ReplyBody)
                                </div>
                                 </div>
                        </div>
                    </div>
                </fieldset>
            </div>
            <p>
                @Html.ActionLink("Back to Messages", "Messages", "UserMessages", new { id = Model.ToUser }, null)
                |
                <input type="submit" value="Reply" />
            </p>
        }*@

        @using (Html.BeginForm("Reply", "UserMessages", Model, FormMethod.Post, new { @class = "form-horizontal", @role = "form", enctype = "multipart/form-data" }))
        {
            @Html.AntiForgeryToken()
            
            <div>
@*                   <div class="form-group">
                                @Html.LabelFor(m => m.ReplySubject, "Subject ", null)
                                    @Html.TextBoxFor(m => m.ReplySubject, new { @class = "form-control", @placeholder = "Subject", id = "subject" })
                                <div class="col-sm-4">
                                    @Html.ValidationMessageFor(m => m.ReplySubject)
                                </div>
                            </div>*@
            <div class="form-group">
                               @* @Html.LabelFor(m => m.ReplyBody, "Message ", null)*@
                @Html.ValidationMessageFor(m => m.ReplyBody)
                                   @Html.TextAreaFor(m => m.ReplyBody, new { @Class = "form-control", @placeholder = "Reply", id = "message", @maxlength = "200" })
                                 <div class="col-sm-4">
                                    
                                </div>
                                 </div>
                     @Html.ActionLink("Back to Messages", "Messages", "UserMessages", new { id = Model.ToUser }, new { @Class = "btn btn-default" })
                |
                <input type="submit" value="Reply"  class="btn btn-default"/>

                </div>
                }


    </div>
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}



